
From: Adrian Bunk <bunk@stusta.de>

This patch contains the following possible cleanups:
- make two needlessly global structs static
- #if 0 the EXPORT_SYMBOL'ed but unused function tveeprom_dump

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/tveeprom.c |    6 ++++--
 include/media/tveeprom.h       |    1 -
 2 files changed, 4 insertions(+), 3 deletions(-)

diff -puN drivers/media/video/tveeprom.c~drivers-media-video-tveepromc-possible-cleanups drivers/media/video/tveeprom.c
--- devel/drivers/media/video/tveeprom.c~drivers-media-video-tveepromc-possible-cleanups	2005-07-16 14:04:41.000000000 -0700
+++ devel-akpm/drivers/media/video/tveeprom.c	2005-07-16 14:04:41.000000000 -0700
@@ -445,6 +445,7 @@ int tveeprom_read(struct i2c_client *c, 
 }
 EXPORT_SYMBOL(tveeprom_read);
 
+#if 0
 int tveeprom_dump(unsigned char *eedata, int len)
 {
 	int i;
@@ -460,6 +461,7 @@ int tveeprom_dump(unsigned char *eedata,
 	return 0;
 }
 EXPORT_SYMBOL(tveeprom_dump);
+#endif  /*  0  */
 
 /* ----------------------------------------------------------------------- */
 /* needed for ivtv.sf.net at the moment.  Should go away in the long       */
@@ -477,7 +479,7 @@ static unsigned short normal_i2c[] = {
 
 I2C_CLIENT_INSMOD;
 
-struct i2c_driver i2c_driver_tveeprom;
+static struct i2c_driver i2c_driver_tveeprom;
 
 static int
 tveeprom_command(struct i2c_client *client,
@@ -549,7 +551,7 @@ tveeprom_detach_client (struct i2c_clien
 	return 0;
 }
 
-struct i2c_driver i2c_driver_tveeprom = {
+static struct i2c_driver i2c_driver_tveeprom = {
 	.owner          = THIS_MODULE,
 	.name           = "tveeprom",
 	.id             = I2C_DRIVERID_TVEEPROM,
diff -puN include/media/tveeprom.h~drivers-media-video-tveepromc-possible-cleanups include/media/tveeprom.h
--- devel/include/media/tveeprom.h~drivers-media-video-tveepromc-possible-cleanups	2005-07-16 14:04:41.000000000 -0700
+++ devel-akpm/include/media/tveeprom.h	2005-07-16 14:04:41.000000000 -0700
@@ -24,4 +24,3 @@ void tveeprom_hauppauge_analog(struct tv
 			       unsigned char *eeprom_data);
 
 int tveeprom_read(struct i2c_client *c, unsigned char *eedata, int len);
-int tveeprom_dump(unsigned char *eedata, int len);
_
